Serialized Form

  • Package com.norconex.committer.neo4j

    • Class com.norconex.committer.neo4j.Neo4jCommitterConfig

      class Neo4jCommitterConfig extends Object implements Serializable
      serialVersionUID:
      1L
      • Serialized Fields

        • credentials
          Credentials credentials
          Authentication credentials.
        • database
          String database
          Target database name, or null for the default.
        • deleteCypher
          String deleteCypher
          Cypher statement used for delete operations.
        • multiValuesJoiner
          String multiValuesJoiner
          Separator used to join multi-valued fields into a single string.
        • nodeContentProperty
          String nodeContentProperty
          Neo4j property name where the document content is stored.
        • nodeIdProperty
          String nodeIdProperty
          Neo4j property name where the document ID is stored.
        • optionalParameters
          Set<String> optionalParameters
          Query parameter names that may be absent without causing an error.
        • upsertCypher
          String upsertCypher
          Cypher statement used for upsert operations.
        • uri
          String uri
          Neo4j connection URI.